package com.ecep.contract.controller.table.cell;

import static com.ecep.contract.SpringApp.getBean;

import com.ecep.contract.service.ProductTypeService;
import com.ecep.contract.vo.ProductTypeVo;

import lombok.NoArgsConstructor;
/**
 * 产品类型单元格
 */
@NoArgsConstructor
public class ProductTypeTableCell<V> extends AsyncUpdateTableCell<V, Integer, ProductTypeVo> {

    public ProductTypeTableCell(ProductTypeService productTypeService) {
        setService(productTypeService);
    }

    @Override
    protected ProductTypeService getServiceBean() {
        return getBean(ProductTypeService.class);
    }
}